Get a list of customer profilesAsk AIget https://api-sandbox.straitsx.com/v1/kyc/customer_profilesQuery Paramspage[size]int32Defaults to 10Number of items per page(Must be greater than 0)Regex: /^0*[1-9][0-9]*$/page[number]int32Defaults to 1Page number(Must be greater than 0)Regex: /^0*[1-9][0-9]*$/sortstringDefaults to created_atSorted by Creation Date: Ascending (created_at) / Descending (-created_at) Updated Date:Ascending (updated_at) / Descending (-updated_at)filter[created_after]stringISO8601 formatRegex: /^(\d{4})(-(0[1-9]|1[0-2])(-(0[1-9]|[12]\d|3[01])(T([01]\d|2[0-3]):([0-5]\d):([0-5]\d)(\.\d+)?(Z|([+-]([01]\d|2[0-3]):([0-5]\d)))?)?)?)?$/ifilter[created_before]stringISO8601 formatRegex: /^(\d{4})(-(0[1-9]|1[0-2])(-(0[1-9]|[12]\d|3[01])(T([01]\d|2[0-3]):([0-5]\d):([0-5]\d)(\.\d+)?(Z|([+-]([01]\d|2[0-3]):([0-5]\d)))?)?)?)?$/ifilter[updated_after]stringISO8601 formatRegex: /^(\d{4})(-(0[1-9]|1[0-2])(-(0[1-9]|[12]\d|3[01])(T([01]\d|2[0-3]):([0-5]\d):([0-5]\d)(\.\d+)?(Z|([+-]([01]\d|2[0-3]):([0-5]\d)))?)?)?)?$/ifilter[updated_before]stringISO8601 formatRegex: /^(\d{4})(-(0[1-9]|1[0-2])(-(0[1-9]|[12]\d|3[01])(T([01]\d|2[0-3]):([0-5]\d):([0-5]\d)(\.\d+)?(Z|([+-]([01]\d|2[0-3]):([0-5]\d)))?)?)?)?$/iidempotency_idstringRegex: /^\s*.{1,191}\s*$/filter[registration_id]stringNRIC/Passport No./Business Registration ID (4 to 35 alphanumeric)Regex: %r{\A[a-zA-Z0-9/\-?:().,'+ ]{4,35}\z}HeadersX-XFERS-APP-API-KEYstringrequiredYou can retrieve this from your Dashboard Developer Tools.Note: The X-XFERS-APP-API-KEY is a mandatory header for all authentication methods, including standard API key usage and HTTP Request Signing mode.X-PUBLIC-KEY-IDstringThe Key ID, can be retrieved from your StraitsX Dashboard.Note: This header attribute is required when HTTP Request Signing is enabled for your account.X-TIMESTAMPstringCurrent Unix epoch time in seconds. Must be within ±300 seconds of server time.Note: This header attribute is required when HTTP Request Signing is enabled for your account.X-NONCEstringA unique UUID string per request, used for replay protection. Must not be reused within the timestamp window.Regex: /\A[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}\z/iNote: This header attribute is required when HTTP Request Signing is enabled for your account.X-SIGNATUREstringBase64-encoded digital signature of the canonical request string.Note: This header attribute is required when HTTP Request Signing is enabled for your account.Response 200SuccessUpdated 9 months ago